<?php
/***
    quotestotemplate Vers. 0.1 
    Written on 2011/05/28

    Created by www.raum2projekt.de
    Mail: info@raum2projekt.de

    Tested with Redaxo 4.3
    Released for free !
***/

$table = "rex_quotestotemplate";
$fieldSet = 'Zitat';

$func = rex_request("func","string","");
$entry_id = rex_request("entry_id","int",-1);



//------------------------------> Hinzufgen
if($func == "add" || $func == "edit") {
	
	echo '<div class="rex-toolbar"><div class="rex-toolbar-content">';
	echo '<p><a class="rex-back" href="index.php?page='.$page.'&amp;subpage='.$subpage.'">zurck zur bersicht</a></p>';
	echo '</div></div>';
	
	echo '<div class="rex-addon-output-v2">';

	$form = new rex_form($table, $fieldSet, 'id='. $entry_id);
	
	if($func == 'edit') {
		$form->addParam('entry_id', $entry_id);
	}
	
	$field = &$form->addTextField('author');
	$field->setLabel("Verfasser");
	
	$field = &$form->addTextAreaField('quotes',null,array('class' => 'tinyMCEEditor'));
	$field->setLabel("Zitat");
	
	$form->show();
		
  	echo '</div>';
}



//------------------------------> Lschen
if($func == "delete") {
	$query = "delete from $table where id='".$entry_id."' ";
	$delsql = new rex_sql;
	$delsql->debugsql=0;
	$delsql->setQuery($query);
	$func = "";
	echo rex_info("Das Zitat wurde gelscht");
}



//------------------------------> Liste
if($func == ""){

	echo '<div class="rex-addon-output-v2">';	
	
	/** Suche  **/
	$add_sql = "";
	$link	= "";
	
	$sql = "select id, quotes, author from $table ".$add_sql;
	$list = rex_list::factory($sql);
	
	// <Caption tag>
    $list->setCaption("Zitate");
    // summary Attribut bei einer neuartigen Tabellen definiton
    $list->addTableAttribute('summary', 'In dieser Tabelle sind alle definierten Zitate enthalten');

    // ICON fr Zitat --> Im Moment wird das TemplateIcon verwendet
    $img = '<img src="media/template.gif" alt="###subject###" title="###subject###" />';
    $imgAdd = '<img src="media/template_plus.gif" alt="Zitateintrag erstellen" title="Zitateintrag erstellen" />';
    
    // ICON um ein neues Zitat zu definieren
    $imgHeader = '<a href="'. $list->getUrl(array('page'=>$page, 'subpage'=>$subpage, 'func' => 'add')) .'">'. $imgAdd .'</a>';
    
    // Das ist das ICON welche in der ICON-Spalten angezeigt wird.
    $list->addColumn($imgHeader, $img, 0, array('<th class="rex-icon">###VALUE###</th>','<td class="rex-icon">###VALUE###</td>'));
    $list->setColumnParams($imgHeader, array('page'=>$page, 'subpage'=>$subpage, 'func' => 'edit', 'entry_id' => '###id###'));

    $list->setColumnLabel('id', 'ID');
    $list->setColumnLayout('id',  array('<th class="rex-small">###VALUE###</th>','<td class="rex-small">###VALUE###</td>'));
    
    $list->setColumnLabel('author', "Verfasser");
    $list->setColumnParams('author', array('page'=>$page, 'subpage'=>$subpage, 'func' => 'edit', 'entry_id' => '###id###')); 
    
    $list->setColumnLabel('quotes', "Zitat");
    $list->setColumnFormat('quotes', 'custom', 'formatQuotes');  

	$list->addColumn("Funktionen", "lschen");
    $list->setColumnParams("Funktionen", array('page'=>$page, 'subpage'=>$subpage, 'func' => 'delete', 'entry_id' => '###id###'));
    $list->addLinkAttribute("Funktionen", 'onclick', 'return confirm(\''.$I18N->msg('delete').' ?\')');

    $list->setNoRowsMessage("Derzeit sind noch keine Zitate vorhanden.");
    
	$list->show();
    echo '</div>';
}


function formatQuotes($params) {
	$quotes = $params["list"]->getValue("quotes");
	if(strlen($quotes) > 30) {
		return substr($quotes, 0, 30) . '...';
	}
	else {
		return $quotes;
	}
}
?>